# Uses of Interface
org.eclipse.emf.cdo.expressions.CharValue

Packages that use CharValue
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.

## Uses of CharValue in org.eclipse.emf.cdo.expressions

Methods in org.eclipse.emf.cdo.expressions that return CharValue
Modifier and Type
Method
Description
`CharValue`
ExpressionsFactory.`createCharValue()`
Returns a new object of class 'Char Value'.

## Uses of CharValue in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement CharValue
Modifier and Type
Class
Description
`class`
`CharValueImpl`
An implementation of the model object 'Char Value'.
Methods in org.eclipse.emf.cdo.expressions.impl that return CharValue
Modifier and Type
Method
Description
`CharValue`
ExpressionsFactoryImpl.`createCharValue()`

## Uses of CharValue in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util that return CharValue
Modifier and Type
Method
Description
`static CharValue`
ExpressionsUtil.`value(char literal)`
Methods in org.eclipse.emf.cdo.expressions.util with parameters of type CharValue
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseCharValue(CharValue object)`
Returns the result of interpreting the object as an instance of 'Char Value'.